Subject: Re: [PATCH maint 0/3] do not write files outside of work-dir

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 May 2011 10:57:37 -0700

Erik Faye-Lund <[email-masked]> writes:

> Theo Niessink has uncovered a serious sercurity issue in Git for Windows,
> where cloning an evil repository can arbitrarily overwrite files outside
> the repository. Since many Windows users run as administrators, this can
> be used for very nasty purposes.

Which of my integration branches do msysGit/Git for Windows folks base
their releases these days? I could carry this through the regular "next to
master and then sometime later to maint" schedule, but if you are not
using maint and basing primarily on master then I'd rather skip the "and
then sometime later to maint" part.